
/* kstyle.t */

project "kstyle";

/* make */

make
{
   // automake = true;
   // autoinit = true;
   autoclean = true;
   debug = true;
   kdevelop = true;

   library "style"
   {
      h_cc_source "style.cc";
      moc_rule "style";

      h_cc_source "loadui.cc";
      moc_rule "loadui";
   }

   cxxflags "-D KDE_DEFAULT_DEBUG_AREA=8000";

   // files added to kdevelop project
   user_file "style.desktop";
   user_file "style.rc";

   /* RUN */

   rule "run: all install";
   rule_tab "./start";
   rule "";

   /* INSTALL */

   defn "PLUGIN = style";

   install_kdevelop "lib/kde4/$(PLUGIN).so" { exec=true; }
   install_kdevelop "share/kde4/services/$(PLUGIN).desktop";
   install_kdevelop "share/apps/$(PLUGIN)/$(PLUGIN).rc";

   /* Qt, KDE, KDevelop */

   ldflags "-L /usr/lib/kde4/devel"; // !? - Fedora 14 - before /usr/lib (which contains kde3 libraries)

   lib_qt;
   lib_kde;
   lib_kdevelop;
   // lib_kdevelop "/opt/kdevelop";

   /* libraries */

   #if 1
   cxxflags "-Wl,-no-undefined";
   ldflags "-lkdecore";
   ldflags "-lkdeui";
   ldflags "-lkio";
   ldflags "-lktexteditor";
   ldflags "-lsublime";
   ldflags "-lkdevplatforminterfaces";
   ldflags "-lkdevplatformshell";
   ldflags "-lkdevplatformlanguage";
   ldflags "-lQtXml";
   ldflags "-lX11";
   #endif
}
