
/* style.cc */

#include "style.h"

// #include <QObject>
// #include <QAction>
// #include <QFile>
// #include <QTextStream>
// #include <QPluginLoader>
// #include <QWorkspace>
#include <QPushButton>

#include <kaboutdata.h>
#include <kaction.h>
// #include <kmimetype.h>
// #include <kxmlguiwindow.h>
#include <kpluginfactory.h>
// #include <kpluginloader.h>
// #include <kparts/mainwindow.h>
// #include <kparts/partmanager.h>
// #include <ksavefile.h>
// #include <kstandardaction.h>
// #include <kicon.h>
#include <kactioncollection.h>
#include <kdebug.h>

#include <interfaces/icore.h>
// #include <interfaces/idocumentcontroller.h>
// #include <interfaces/iuicontroller.h>

#include <sublime/area.h>
#include <shell/core.h>
#include <shell/uicontroller.h>

#include "loadui.h"

#include <iostream>

/* ----------------------------------------------------------------------- */

namespace Style {

/* ----------------------------------------------------------------------- */

KAboutData aboutData ("style", // application name
                      "style", // catalog name
                      ki18n ("Style Plugin"), // displayable program name
                      "0.1", // version
                      ki18n ("Load/save keyboard commands"), // short description
                      KAboutData::License_GPL);

K_PLUGIN_FACTORY (StylePluginFactory, registerPlugin <StylePlugin> (); )
K_EXPORT_PLUGIN (StylePluginFactory (aboutData))

/* ----------------------------------------------------------------------- */

StylePlugin::StylePlugin (QObject *parent, const QVariantList & args) :
   KDevelop::IPlugin (StylePluginFactory::componentData(), parent),
   m_mainWindow (NULL),
   m_uiModule (NULL)
{
   Q_UNUSED(args)

   // std::cout << std::endl;
   // std::cout << " **** STYLE INIT **** " << std::endl;
   // std::cout << std::endl;

   kDebug () << " ---- STYLE INIT ---- ";

   setXMLFile ("style.rc");

   KActionCollection * actions = actionCollection ();

   KAction * action = actions->addAction ("style_run");
   action->setText (i18n ("Style Plugin"));
   connect (action, SIGNAL (triggered (bool)), this, SLOT (run ()));

   m_uiModule = new UiModule (this);
}

StylePlugin::~StylePlugin()
{
}

void StylePlugin::createActionsForMainWindow (Sublime::MainWindow * window,
                                                 QString & xmlFile,
                                                 KActionCollection & actions)
{
   m_mainWindow = window;
   /* do not use actions for action definitions, use this->actionCollection () */
}

void StylePlugin::unload()
{
}

/* ----------------------------------------------------------------------- */

void StylePlugin::run ()
{
   // std::cout << std::endl;
   // std::cout << " **** STYLE RUN **** " << std::endl;
   // std::cout << std::endl;

   kDebug () << " ---- STYLE RUN ---- ";

   /*
   Sublime::Controller * controller = KDevelop::Core::self()->uiControllerInternal();
   Sublime::Area * area = new Sublime::Area(controller, "style", i18n("Style"));
   // area->setDesiredToolViews (desired);
   area->setIconName ("kcmdf");
   controller->addDefaultArea (area);
   */
}

/* ----------------------------------------------------------------------- */

} // end of namespace

#include "style.moc"
