
/* style.h */

#ifndef STYLE_H
#define STYLE_H

#include <interfaces/iplugin.h>
#include <interfaces/iuicontroller.h>

/* ----------------------------------------------------------------------- */

namespace Style {

class UiModule;

/* ----------------------------------------------------------------------- */

class StylePlugin : public KDevelop::IPlugin
{
   Q_OBJECT

   public:
       StylePlugin (QObject *parent, const QVariantList & args = QVariantList ());
       virtual ~ StylePlugin ();

       virtual void createActionsForMainWindow (Sublime::MainWindow * window,
                                                QString & xmlFile,
                                                KActionCollection & actions);
       virtual void unload ();

   private Q_SLOTS:
      void run ();

   public:
      Sublime::MainWindow * getMainWindow () { return m_mainWindow; }

   private:
      Sublime::MainWindow * m_mainWindow;

      UiModule * m_uiModule;
};

/* ----------------------------------------------------------------------- */

} // end of namespace

#endif // STYLE_H
